Mozilla Firefox < 96.0

critical Nessus 插件 ID 156605

简介

远程 macOS 或 Mac OS X 主机上安装的 Web 浏览器受到多个漏洞影响。

描述

远程 macOS 或 Mac OS X 主机上安装的 Mozilla Firefox 版本低于 96.0。因此,其会受到 mfsa2022-01 公告中提及的多个漏洞影响。

- 争用条件可允许绕过全屏通知,进而可能导致忽略全屏窗口欺骗攻击。此错误仅影响 Windows 版 Firefox。其他操作系统不受影响。(CVE-2022-22746)

- 在请求全屏访问的同时从 iframe 内部导航时,攻击者控制的选项卡可能使浏览器无法退出全屏模式。(CVE-2022-22743)

- 在编辑模式下插入文本时,某些字符可能导致越界内存访问,从而造成潜在可利用的崩溃问题。(CVE-2022-22742)

- 在请求全屏访问的同时调整弹出窗口的大小时,弹出窗口将无法退出全屏模式。(CVE-2022-22741)

- 释放网络请求句柄时,过早释放特定网络请求对象。这可能造成释放后使用,从而导致潜在可利用的崩溃问题。(CVE-2022-22740)

- 应用 CSS 过滤器效果可能会造成越界访问内存。这可能造成堆缓冲区溢出,从而导致潜在可利用的崩溃问题。(CVE-2022-22738)

- 构建音频接收器可能会导致在播放音频文件和关闭窗口时出现争用条件。
这可能造成释放后使用,从而导致潜在可利用的崩溃问题。(CVE-2022-22737)

- 可以构建能够绕过 iframe 沙盒的特定 XSLT 标记。
(CVE-2021-4140)

- 通过跨进程一般接受和传递资源句柄,受损内容进程可能使更高权限的进程产生混淆,从而本不具有访问权限的无权限进程进行句柄交互。此错误仅影响 Windows 版和 MacOS 版 Firefox。其他操作系统不受影响。(CVE-2022-22750)

- 当扫描 QR 码时,Android 版 Firefox 会允许导航至某些未指向 Web 内容的 URL。此错误仅影响 Android 版 Firefox 。其他操作系统不受影响。
(CVE-2022-22749)

- 要求启动程序和处理外部 URL 协议时,恶意网站可致使 Firefox 混淆显示错误的来源。(CVE-2022-22748)

- Securitypolicyviolation 事件可泄露框架祖先违规的跨源信息 (CVE-2022-22745)

- PowerShell 未正确转义 DevTools 中“复制为 curl”功能所构建的 curl 命令。如果将其粘贴到 Powershell 提示符中,可能会导致命令注入问题。此错误仅影响 Windows 版 Firefox。其他操作系统不受影响。(CVE-2022-22744)

- 接受不受信任的证书后,将空的 pkcs7 序列作为证书数据的一部分进行处理可能导致崩溃问题。此崩溃被认为是无法利用的。(CVE-2022-22747)

- 如果将 Firefox 安装到全局可写目录,则当 Firefox 在当前目录中搜索系统库时,可能会出现本地升级权限的情况。但是,默认情况下安装目录不可全局写入。此错误仅影响非默认安装的 Windows 版 Firefox。其他操作系统不受影响。(CVE-2022-22736)

- 恶意网站可诱骗用户接受启动程序以处理外部 URL 协议。(CVE-2022-22739)

- 据 Mozilla 开发人员 Calixte Denizet、Kershaw Chang、Christian Holler、Jason Kratzer、Gabriele Svelto、Tyson Smith、Simon Giesecke 和 Steve Fink 报告,Firefox 95 和 Firefox ESR 91.4 中存在内存安全错误。其中某些错误展示出内存损坏迹象,我们推测若攻击者付出足够努力,就能利用部分错误运行任意代码。(CVE-2022-22751)

- 据 Mozilla 开发人员 Christian Holler 和 Jason Kratzer 报告,Firefox 95 中存在内存安全错误。
其中某些错误展示出内存损坏迹象,我们推测若攻击者付出足够努力,就能利用部分错误运行任意代码。(CVE-2022-22752)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级到 Mozilla Firefox 96.0 或更高版本。

另见

https://www.mozilla.org/en-US/security/advisories/mfsa2022-01/

插件详情

严重性: Critical

ID: 156605

文件名: macos_firefox_96_0.nasl

版本: 1.7

类型: local

代理: macosx

发布时间: 2022/1/11

最近更新时间: 2022/5/6

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: High

分数: 8.4

CVSS v2

风险因素: Medium

基本分数: 6.4

时间分数: 4.7

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2022-22743

CVSS v3

风险因素: Critical

基本分数: 9.1

时间分数: 7.9

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:mozilla:firefox

必需的 KB 项: MacOSX/Firefox/Installed

易利用性: No known exploits are available

补丁发布日期: 2022/1/11

漏洞发布日期: 2022/1/11

参考资料信息

CVE: CVE-2021-4140, CVE-2022-22736, CVE-2022-22737, CVE-2022-22738, CVE-2022-22739, CVE-2022-22740, CVE-2022-22741, CVE-2022-22742, CVE-2022-22743, CVE-2022-22744, CVE-2022-22745, CVE-2022-22746, CVE-2022-22747, CVE-2022-22748, CVE-2022-22749, CVE-2022-22750, CVE-2022-22751, CVE-2022-22752, CVE-2022-22763

IAVA: 2022-A-0017-S, 2022-A-0079-S